TICKIT_RENDERBUFFER_RESET(3)

NAME
tickit_renderbuffer_reset - revert a render buffer back to initial state

SYNOPSIS
    #include <tickit.h>

    void tickit_renderbuffer_reset(TickitRenderBuffer *rb);

Link with -ltickit.

DESCRIPTION
tickit_renderbuffer_reset() resets the render buffer back to its initial state. The pending content is erased, and all the cells are set back to the skipped state. The virtual cursor position is unset, the translation offset set back to zero, the clipping region set to the entire buffer and the pen removed if set. Also the saved state stack is cleared.

Any memory allocated for the storage of strings by the tickit_renderbuffer_text family of functions is also released by this function.

RETURN VALUE
This function returns no value.

SEE ALSO
tickit_renderbuffer_new(3), tickit_renderbuffer_save(3), tickit_renderbuffer_restore(3), tickit_renderbuffer(7), tickit(7)